# Generate report using custom GeoJSON region with filters by label and date range (/docs/examples/bulk-download/create-report-example7)



**Request body**

| Field     | Value                                                                                                                        | Description                         |
| --------- | ---------------------------------------------------------------------------------------------------------------------------- | ----------------------------------- |
| `name`    | `sar-vessel-detection-example-7-custom-geojson`                                                                              | Name of the report                  |
| `dataset` | `public-fixed-infrastructure-data:latest`                                                                                    | Fixed infrastructure dataset        |
| `format`  | `CSV`                                                                                                                        | Output format of the report         |
| `filters` | `["structure_start_date between '2020-01-01' and '2023-01-01'", "structure_end_date between '2022-01-01' and '2025-01-01'"]` | Filter by start and end date ranges |
| `geojson` | custom `MultiPolygon`                                                                                                        | Custom GeoJSON region to filter     |

**Request**

<Tabs items="['cURL', 'JavaScript']">
  <Tab value="cURL">
    ```shell
    # Make sure to replace [TOKEN] with your API Access Token.
    curl --location 'https://gateway.api.globalfishingwatch.org/v3/bulk-reports' \
    --header 'Content-Type: application/json' \
    --header 'Accept: application/json' \
    --header 'Authorization: Bearer TOKEN' \
    --data '{
      "name": "sar-vessel-detection-example-7-custom-geojson",
      "dataset": "public-fixed-infrastructure-data:latest",
      "format": "CSV",
      "filters": [
        "structure_start_date between '\''2020-01-01'\'' and '\''2023-01-01'\''",
        "structure_end_date between '\''2022-01-01'\'' and '\''2025-01-01'\''"
      ],
      "geojson": {
        "type": "MultiPolygon",
        "coordinates": [ ... ]
      }
    }'
    ```
  </Tab>

  <Tab value="JavaScript">
    ```js
    // Make sure to replace [TOKEN] with your API Access Token.
    const res = await fetch('https://gateway.api.globalfishingwatch.org/v3/bulk-reports', {
      method: 'POST',
      headers: {
        Authorization: 'Bearer [TOKEN]',
        'Content-Type': 'application/json',
      },
      body: JSON.stringify({
        name: 'sar-vessel-detection-example-7-custom-geojson',
        dataset: 'public-fixed-infrastructure-data:latest',
        format: 'CSV',
        filters: [
          "structure_start_date between '2020-01-01' and '2023-01-01'",
          "structure_end_date between '2022-01-01' and '2025-01-01'",
        ],
        geojson: {
          type: 'MultiPolygon',
          coordinates: [/* ... */],
        },
      }),
    })
    const data = await res.json()
    ```
  </Tab>
</Tabs>

**Response**

```shell
{
    "id": "384613d4-fbf2-4d6a-93ef-33bbb25d820e",
    "dataset": "public-fixed-infrastructure-data:v1.1",
    "name": "fixed-infrastructure-example-1-custom-geojson",
    "filepath": "sar_fixed_infrastructure_202409.csv",
    "filters": [
        "structure_start_date between '2020-01-01' and '2023-01-01' ",
        "structure_end_date between '2022-01-01' and '2025-01-01' "
    ],
    "status": "pending",
    "geom": {
        "type": "custom"
    },
    "createdAt": "2025-07-01T00:53:37.697Z",
    "updatedAt": "2025-07-01T00:53:37.697Z",
    "ownerId": 385,
    "ownerType": "user-application",
    "format": "CSV",
    "fileSize": null
}
```
